- Qt 5.15
- Qt GUI
- C++ Classes
- FormatRange
- Qt 5.15.19 Reference Documentation

# FormatRange Struct

struct QTextLayout::FormatRange

The QTextLayout::FormatRange structure is used to apply extra formatting information for a specified area in the text layout's content. More...

- List of all members, including inherited members

## Public Variables

QTextCharFormat | format
int | length
int | start

## Detailed Description

See also QTextLayout::setFormats() and QTextLayout::draw().

## Member Variable Documentation

### QTextCharFormat FormatRange::format

Specifies the format to apply.

### int FormatRange::length

Specifies the numer of characters the format range spans.

### int FormatRange::start

Specifies the beginning of the format range within the text layout's text.